summaryrefslogtreecommitdiff
path: root/sys-cluster/kind
diff options
context:
space:
mode:
Diffstat (limited to 'sys-cluster/kind')
-rw-r--r--sys-cluster/kind/Manifest2
-rw-r--r--sys-cluster/kind/kind-0.24.0.ebuild39
2 files changed, 41 insertions, 0 deletions
diff --git a/sys-cluster/kind/Manifest b/sys-cluster/kind/Manifest
new file mode 100644
index 0000000..01feff7
--- /dev/null
+++ b/sys-cluster/kind/Manifest
@@ -0,0 +1,2 @@
+DIST kind-0.24.0-vendor.tar.xz 510016 BLAKE2B 8bf4835151b5b45c398326c780a7dcf18b7a597398f1d1f4b48382a8e78826b738540c80f0c01fda74edc8844a71664bce372cb29779ad538d3aa0f72fb5c3dc SHA512 ecf28a12957f308a4d937a5a5667bd56ec764c2b1d203d761864bb6589a872ec7fcf37e8c1820b1a7be3943e4d8e440793a2a8385062b80e74c1dcf5c4769583
+DIST kind-0.24.0.tar.gz 1958246 BLAKE2B 153871f5bfda9dc31c4af602bfde7298db791cb1a6c1fe151cf4d516724fc45f953b789c720cf515794edc92811fb82783026e4d9275c8692e716ce36bc7a775 SHA512 02689afe7d7fb3eff8a0b53db2c3fd57709b2512dc012ef32415876089f2748cba95a1f5c04776ac60114417e480156d18eeecfdf19bc336a1cf73d6e5fe9cc9
diff --git a/sys-cluster/kind/kind-0.24.0.ebuild b/sys-cluster/kind/kind-0.24.0.ebuild
new file mode 100644
index 0000000..437916b
--- /dev/null
+++ b/sys-cluster/kind/kind-0.24.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module shell-completion
+
+DESCRIPTION="Kubernetes IN Docker"
+HOMEPAGE="https://github.com/kubernetes-sigs/kind/"
+BDEPEND=">=dev-lang/go-1.17"
+SRC_URI="https://github.com/kubernetes-sigs/kind/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz"
+
+LICENSE="Apache-2.0"
+LICENSE+=" MIT BSD BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+DEPEND="test? ( app-containers/docker )"
+
+src_compile() {
+ ego build .
+ ./kind completion bash > "${PN}.bash" || die
+ ./kind completion fish > "${PN}.fish" || die
+ ./kind completion zsh > "${PN}.zsh" || die
+}
+
+src_test() {
+ ego test ./...
+}
+
+src_install() {
+ dobin kind
+
+ newbashcomp "${PN}.bash" "${PN}"
+ dofishcomp "${PN}.fish"
+ newzshcomp "${PN}.zsh" "_${PN}"
+}